Maven error with flex-mojos "must be a valid version but is '${property.name}'"

My project is a parent pom with 4 submodules
My parent pom has a profile dependant property <asset.version>LATEST</asset.version>
The "assets" dependencies are swc stored on our Nexus.
Flex-mojos is 4.1-beta.

If I compile (or package or whatever) from the command line Maven successfully compile the project.
If I try to compile by double clicking the "compile" lifecycle button of Idea Maven's plugin it fails with an error per asset using the asset.version property.

I'm using latest 126.330 LEDA build.

Not sure if this info is enough to solve my problem, tell me if I need to add something.
Thanks for the help.

3 comments

Is it possible to create a sample project?

0

Please, attach the first line of the console output. This line contains command line that IDEA executes to run 'compile' goal.

0

"c:\program files\java\jdk1.7.0_02\jre\bin\java" -Dmaven.home=C:\apache-maven-3.0.3 -Dclassworlds.conf=C:\apache-maven-3.0.3\bin\m2.conf -Didea.launcher.port=7534 "-Didea.launcher.bin.path=C:\Program Files (x86)\JetBrains\IntelliJ IDEA 126.330\bin" -Dfile.encoding=UTF-8 -classpath "C:\apache-maven-3.0.3\boot\plexus-classworlds-2.4.jar;C:\Program Files (x86)\JetBrains\IntelliJ IDEA 126.330\lib\idea_rt.jar" com.intellij.rt.execution.application.AppMain org.codehaus.classworlds.Launcher --errors --fail-fast --lax-checksums -DskipTests=true compile -P 1484,wekanexus

Here it is. Thanks for looking into that Sergey.

BTW, removing the property and replacing it with LATEST solves the problem, IDEA maven plugin can compile successfully.

0

Please sign in to leave a comment.